Name:           python-sphinx-design
Version:        0.5.0
Release:        2%{?dist}
Summary:        Sphinx extension for responsive web components

# This project is MIT, but bundles JSON glyphs
# - sphinx_design/compiled/material* is Apache-2.0
# - sphinx_design/compiled/octicon* is MIT
License:        MIT AND Apache-2.0
URL:            https://github.com/executablebooks/sphinx-design
Source0:        %{url}/archive/v%{version}/sphinx-design-%{version}.tar.gz
# Fix tests for Sphinx 7.2
Patch0:         https://github.com/executablebooks/sphinx-design/commit/fa9e3cc.patch

BuildArch:      noarch

BuildRequires:  python3-devel

# The Fedora package does not contain JSON glyphs
Provides:       bundled(material-icons-fonts) = 4.0.0.63c5cb3

# Octicons is not available from Fedora
# The upstream release tarball does not contain JSON glyphs
Provides:       bundled(octicons) = 16.1.1

%global _description %{expand:
This package contains a Sphinx extension for designing beautiful, view
size responsive web components.}

%description %_description

%package     -n python3-sphinx-design
Summary:        Sphinx extension for responsive web components

%description -n python3-sphinx-design %_description

%package        doc
Summary:        Documentation for %{name}
# This project is MIT.  The Javascript and CSS bundled with the documentation
# has the following licenses:
# _static/_sphinx_javascript_frameworks_compat.js: BSD-2-Clause
# _static/alabaster.css: BSD-3-Clause
# _static/basic.css: BSD-2-Clause
# _static/custom.css: BSD-3-Clause
# _static/doctools.js: BSD-2-Clause
# _static/documentation_options.js: BSD-2-Clause
# _static/file.png: BSD-2-Clause
# _static/jquery*.js: MIT
# _static/js: MIT
# _static/language_data.js: BSD-2-Clause
# _static/minus.png: BSD-2-Clause
# _static/plus.png: BSD-2-Clause
# _static/searchtools.js: BSD-2-Clause
# _static/underscore*.js: MIT
# genindex.html: BSD-2-Clause
# search.html: BSD-2-Clause
# searchindex.js: BSD-2-Clause
License:        MIT AND BSD-2-Clause AND BSD-3-Clause

%description    doc
Documentation for %{name}.

%prep
%autosetup -n sphinx-design-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -t -x testing

%build
%pyproject_wheel

# Build documentation
PYTHONPATH=$PWD sphinx-build -b html docs html
rm -rf html/{.buildinfo,.doctrees}

%install
%pyproject_install
%pyproject_save_files sphinx_design

%check
%pytest

%files -n python3-sphinx-design -f %{pyproject_files}
%doc CHANGELOG.md README.md
%license LICENSE
%license sphinx_design/compiled/material-icons_LICENSE
%license sphinx_design/compiled/octicon_LICENSE

%files doc
%doc html
%license LICENSE

%changelog
* Mon Oct 30 2023 Jerry James <loganjerry@gmail.com> - 0.5.0-2
- Fix build with Sphinx 7.2.x (rhbz#2246941)

* Thu Jul 27 2023 Jerry James <loganjerry@gmail.com> - 0.5.0-1
- Version 0.5.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 07 2023 Karolina Surma <ksurma@redhat.com> - 0.4.1-3
- Relax the python-myst-parser's and python-sphinx' version constraint

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 0.4.1-2
- Rebuilt for Python 3.12

* Fri Apr 14 2023 Jerry James <loganjerry@gmail.com> - 0.4.1-1
- Version 0.4.1
- Drop upstreamed Sphinx 6.x patch
- Drop upstreamed workaround for myst-parser 1.0.0

* Mon Mar 20 2023 Karolina Surma <ksurma@redhat.com> - 0.3.0-4
- Allow building with python-myst-parser 1.0.0

* Fri Mar 17 2023 Jerry James <loganjerry@gmail.com> - 0.3.0-3
- Allow building with Sphinx 6.x (rhbz#2179085)

* Thu Feb 23 2023 Jerry James <loganjerry@gmail.com> - 0.3.0-2
- Dynamically generate BuildRequires

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Aug 23 2022 Jerry James <loganjerry@gmail.com> - 0.3.0-1
- Version 0.3.0

* Mon Aug  1 2022 Jerry James <loganjerry@gmail.com> - 0.2.0-5
- Use uppercase AND for SPDX conjunction

* Mon Aug  1 2022 Jerry James <loganjerry@gmail.com> - 0.2.0-4
- Rename the docs subpackage to doc

* Fri Jul 22 2022 Jerry James <loganjerry@gmail.com> - 0.2.0-3
- Fix more issues found on review

* Tue Jun 28 2022 Jerry James <loganjerry@gmail.com> - 0.2.0-2
- Address license issues found on review

* Tue Jun 21 2022 Jerry James <loganjerry@gmail.com> - 0.2.0-1
- Initial RPM
